# DataExchange
TKSTL
StlMesh

# StlMesh_SequenceOfMesh Class Reference

`#include <StlMesh_SequenceOfMesh.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| StlMesh_SequenceOfMesh ()
Standard_EXPORT void | Clear ()
| ~StlMesh_SequenceOfMesh ()
Standard_EXPORT const StlMesh_SequenceOfMesh & | Assign (const StlMesh_SequenceOfMesh &Other)
const StlMesh_SequenceOfMesh & | operator= (const StlMesh_SequenceOfMesh &Other)
Standard_EXPORT void | Append (const Handle(StlMesh_Mesh)&T)
void | Append (StlMesh_SequenceOfMesh &S)
Standard_EXPORT void | Prepend (const Handle(StlMesh_Mesh)&T)
void | Prepend (StlMesh_SequenceOfMesh &S)
void | InsertBefore (const Standard_Integer Index, const Handle(StlMesh_Mesh)&T)
void | InsertBefore (const Standard_Integer Index, StlMesh_SequenceOfMesh &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(StlMesh_Mesh)&T)
void | InsertAfter (const Standard_Integer Index, StlMesh_SequenceOfMesh &S)
Standard_EXPORT const Handle_StlMesh_Mesh & | First () const
Standard_EXPORT const Handle_StlMesh_Mesh & | Last () const
void | Split (const Standard_Integer Index, StlMesh_SequenceOfMesh &Sub)
Standard_EXPORT const Handle_StlMesh_Mesh & | Value (const Standard_Integer Index) const
const Handle_StlMesh_Mesh & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(StlMesh_Mesh)&I)
Standard_EXPORT Handle_StlMesh_Mesh & | ChangeValue (const Standard_Integer Index)
Handle_StlMesh_Mesh & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | StlMesh_SequenceOfMesh (const StlMesh_SequenceOfMesh &Other)

## Constructor & Destructor Documentation

StlMesh_SequenceOfMesh::StlMesh_SequenceOfMesh | ( |  | ) |

StlMesh_SequenceOfMesh::~StlMesh_SequenceOfMesh | ( |  | ) | `[inline]`

Standard_EXPORT StlMesh_SequenceOfMesh::StlMesh_SequenceOfMesh | ( | const StlMesh_SequenceOfMesh & | Other | ) | `[private]`

## Member Function Documentation

void StlMesh_SequenceOfMesh::Append | ( | StlMesh_SequenceOfMesh & | S | ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::Append | ( | const Handle(StlMesh_Mesh)& | T | ) |

Standard_EXPORT const StlMesh_SequenceOfMesh& StlMesh_SequenceOfMesh::Assign | ( | const StlMesh_SequenceOfMesh & | Other | ) |

Standard_EXPORT Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::Clear | ( |  | ) |

Standard_EXPORT const Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::First | ( |  | ) | const

void StlMesh_SequenceOfMesh::InsertAfter | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | S
| ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(StlMesh_Mesh)& | T
| ) |

void StlMesh_SequenceOfMesh::InsertBefore | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | S
| ) |

void StlMesh_SequenceOfMesh::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(StlMesh_Mesh)& | T
| ) |

Standard_EXPORT const Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::Last | ( |  | ) | const

void StlMesh_SequenceOfMesh::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StlMesh_SequenceOfMesh::operator new | ( | size_t | size | ) | `[inline]`

void* StlMesh_SequenceOfMesh::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const StlMesh_SequenceOfMesh& StlMesh_SequenceOfMesh::operator= | ( | const StlMesh_SequenceOfMesh & | Other | ) | `[inline]`

void StlMesh_SequenceOfMesh::Prepend | ( | StlMesh_SequenceOfMesh & | S | ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::Prepend | ( | const Handle(StlMesh_Mesh)& | T | ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void StlMesh_SequenceOfMesh::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StlMesh_Mesh)& | I
| ) |

void StlMesh_SequenceOfMesh::Split | ( | const Standard_Integer | Index,
|  | StlMesh_SequenceOfMesh & | Sub
| ) |

Standard_EXPORT const Handle_StlMesh_Mesh& StlMesh_SequenceOfMesh::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StlMesh_SequenceOfMesh.hxx